import { containClass, mouseEnter, notContainClass } from './cypress.util';

export const TOGGLE_ELEMENT: string = 'mat-slide-toggle';

enum AngularClassesE2E {
  MAT_CHECKED = 'mat-mdc-slide-toggle-checked',
  MAT_BUTTONG_TOGGLE_CHECKED = 'mat-button-toggle-checked',
  MAT_FOCUSED = 'mat-focused',
  CDK_KEYBOARD_FOCUSED = 'cdk-keyboard-focused',
  MAT_BADGE_HIDDEN = 'mat-badge-hidden',
}

enum AngularElementE2E {
  MAT_FORM_FIELD = 'mat-form-field',
}

export function hasTooltip(element: any, value: string) {
  mouseEnter(element);
  element.get('mat-tooltip-component').contains(value);
  // element.get(`div[title="${value}"]`);
}

export function isChecked(element: any) {
  containClass(element, AngularClassesE2E.MAT_CHECKED);
}

export function isNotChecked(element: any) {
  notContainClass(element, AngularClassesE2E.MAT_CHECKED);
}

export function isButtonToggleChecked(element: any) {
  containClass(element, AngularClassesE2E.MAT_BUTTONG_TOGGLE_CHECKED);
}

export function isButtonToggleNotChecked(element: any) {
  notContainClass(element, AngularClassesE2E.MAT_BUTTONG_TOGGLE_CHECKED);
}

export function getFormField(element: any) {
  return element.find(AngularElementE2E.MAT_FORM_FIELD);
}

export function isMatFocused(element: any) {
  containClass(element, AngularClassesE2E.MAT_FOCUSED);
}

export function isKeyboardFocused(element: any) {
  containClass(element, AngularClassesE2E.CDK_KEYBOARD_FOCUSED);
}

export function expectIconWithoutBadge(element: any): void {
  containClass(element, AngularClassesE2E.MAT_BADGE_HIDDEN);
}

export function expectIconWithBadge(element: any): void {
  notContainClass(element, AngularClassesE2E.MAT_BADGE_HIDDEN);
}
