import { ApiRootLinkRel, ApiRootResource, ApiRootService } from '@alfa-client/api-root-shared';
import { StateResource } from '@alfa-client/tech-shared';
import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthenticationService } from 'libs/authentication/src/lib/authentication.service';
import { Observable } from 'rxjs';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent implements OnInit {
  readonly title = 'admin';

  public apiRootStateResource$: Observable<StateResource<ApiRootResource>>;

  constructor(
    public authenticationService: AuthenticationService,
    private apiRootService: ApiRootService,
    private router: Router,
  ) {}

  ngOnInit(): void {
    this.authenticationService.login().then(() => this.doAfterLoggedIn());
  }

  doAfterLoggedIn(): void {
    this.apiRootStateResource$ = this.apiRootService.getApiRoot();
    this.router.navigate(['/']);
  }

  protected readonly ApiRootLinkRel = ApiRootLinkRel;
}
