/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class ConnectionTimeoutRetryDialogE2EComponent {
  private readonly locatorIcon: string = 'icon';
  private readonly locatorHeader: string = 'header';
  private readonly locatorMessage: string = 'message';

  private readonly locatorRoot: string = 'connection-timeout-retry-dialog';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getIcon() {
    return this.getRoot().getTestElement(this.locatorIcon);
  }

  public getHeader() {
    return this.getRoot().getTestElement(this.locatorHeader);
  }

  public getMessage() {
    return this.getRoot().getTestElement(this.locatorMessage);
  }
}

export class ConnectionTimeoutRetryFailDialogE2EComponent {
  private readonly locatorIcon: string = 'icon';
  private readonly locatorHeader: string = 'header';
  private readonly locatorMessage: string = 'message';
  private readonly locatorReloadButton: string = 'reload-button';

  private readonly locatorRoot: string = 'connection-timeout-retry-fail-dialog';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getIcon() {
    return this.getRoot().getTestElement(this.locatorIcon);
  }

  public getHeader() {
    return this.getRoot().getTestElement(this.locatorHeader);
  }

  public getMessage() {
    return this.getRoot().getTestElement(this.locatorMessage);
  }

  public getReloadButton() {
    return this.getRoot().getTestElement(this.locatorReloadButton);
  }
}
