/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { convertToDataTestId } from '../../support/tech.util';
import { UserProfileE2EComponent } from '../user-profile/user-profile.component.e2e';

export class VorgangListItemE2EComponent {
  private readonly locatorStatus: string = 'status-text';
  private readonly locatorPostfachIcon: string = 'postfach-icon';
  private readonly locatorPostfachIconMatIcon: string = 'postfach-icon-mat-icon';
  private readonly locatorWiedervorlageNextFrist: string = 'wiedervorlage-next-frist';
  private readonly locatorWiedervorlagenList: string = 'wiedervorlagen-list-in-vorgang';

  private locatorRoot: string;

  constructor(private vorgangName: string) {
    this.locatorRoot = 'vorgang-list-item-' + convertToDataTestId(this.vorgangName);
  }

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getStatus() {
    return this.getRoot().findTestElementWithClass(this.locatorStatus);
  }

  public getPostfachIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorPostfachIcon);
  }

  public getPostfachIconMatIcon() {
    return this.getRoot().findTestElementWithClass(this.locatorPostfachIconMatIcon);
  }

  public getWiedervorlageNextFrist() {
    return this.getRoot().findTestElementWithClass(this.locatorWiedervorlageNextFrist);
  }

  public getWiedervorlagenList() {
    return this.getRoot().findTestElementWithClass(this.locatorWiedervorlagenList);
  }

  public getUserProfile(): UserProfileE2EComponent {
    return new UserProfileE2EComponent(this.locatorRoot);
  }
}
