/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { PostfachE2E } from './postfach-nachricht';

export enum HistorieHeadlineE2E {
  ASSIGN_USER = 'den Vorgang zugewiesen.',
  CREATE_WIEDERVORLAGE = 'eine Wiedervorlage hinzugefügt.',
  CREATE_KOMMENTAR = 'ein Kommentar hinzugefügt',
  EDIT_WIEDERVORLAGE = 'eine Wiedervorlage bearbeitet.',
  EDIT_KOMMENTAR = 'ein Kommentar bearbeitet.',
  FORWARD_VORGANG = ' den Vorgang weitergeleitet',
  FORWARD_SUCCESSFUL = 'die Weiterleitung bestätigt.',
  FORWARD_FAILED = 'die Weiterleitung widerrufen.',
  SEND_POSTFACH_NACHRICHT = 'eine Nachricht geschrieben',
  RECEIVE_POSTFACH_NACHRICHT = 'eine Nachricht des Antragstellers empfangen.',
  RESEND_POSTFACH_NACHRICHT = 'eine Nachricht erneut versendet.',
  WIEDERVORLAGE_ERLEDIGEN = 'eine Wiedervorlage als erledigt markiert.',
  WIEDERVORLAGE_WIEDEREROEFFNEN = 'eine Wiedervorlage als offen markiert.',
  AKTENZEICHEN_GEAENDERT = 'das Aktenzeichen geändert',
  AKTENZEICHEN_GELOESCHT = 'das Aktenzeichen gelöscht',
  BESCHEID_ERSTELLT = 'einen Bescheid erstellt.',
  BESCHEID_VERSCHICKT = 'einen Bescheid per Nachricht verschickt.',
}

export class HistorieE2E {
  headline: HistorieHeadlineE2E;
  body: PostfachE2E;
}

export enum HistorieAttachmentE2E {
  SINGLE_TEXT = 'Es existiert ein Anhang zu diesem Eintrag.',
  MULTIPLE_TEXT = 'Es existieren {countAttachments} Anhänge zu diesem Eintrag.',
}

export const SYSTEM_USER_NAME = 'Die Anwendung';
