import { StateResource } from '@alfa-client/tech-shared';
import { Component, OnInit, ViewChild } from '@angular/core';
import { Observable, of } from 'rxjs';
import { Organisationseinheit } from '../../user/user.model';
import { OrganisationseinheitService } from '../organisationseinheit.service';
import { OrganisationseinheitFormComponent } from './organisationseinheit-form/organisationseinheit-form.component';

@Component({
  selector: 'admin-organisationseinheit-container',
  templateUrl: './organisationseinheit-container.component.html',
})
export class OrganisationseinheitContainerComponent implements OnInit {
  organisationseinheitItems$: Observable<StateResource<Organisationseinheit[]>>;
  deleteInProgress$: Observable<boolean> = of(false);

  @ViewChild(OrganisationseinheitFormComponent)
  private form!: OrganisationseinheitFormComponent;

  constructor(private organisationseinheitService: OrganisationseinheitService) {}

  ngOnInit(): void {
    this.organisationseinheitItems$ = this.organisationseinheitService.get();
  }

  public openDialogForNewGroup(): void {
    this.form.open();
  }

  public edit(organisationseinheit: Organisationseinheit): void {
    this.form.openEdit(organisationseinheit);
  }

  public delete(organisationseinheit: Organisationseinheit): void {
    this.deleteInProgress$ = this.organisationseinheitService.delete(organisationseinheit.id);
  }
}
