import { mock, Mock, useFromMock } from '@alfa-client/test-utils';
import { createOrganisationseinheit } from '../../../test/user/user';
import { UserRepository } from '../user/user.repository.service';
import { OrganisationseinheitService } from './organisationseinheit.service';

describe('OrganisationseinheitService', () => {
  let service: OrganisationseinheitService;
  let repository: Mock<UserRepository>;

  const organisationseinheit = createOrganisationseinheit();

  beforeEach(() => {
    repository = mock(UserRepository);
    service = new OrganisationseinheitService(useFromMock(repository));
  });

  describe('getItemsFromKeycloak', () => {
    it('should call findOrganisationseinheitItems from userRepository', () => {
      service.getItemsFromKeycloak();

      expect(repository.findOrganisationseinheitItems).toHaveBeenCalled();
    });
  });

  describe('saveInKeycloak', () => {
    it('should call saveOrganisationseinheit from userRepository', () => {
      service.saveInKeycloak(organisationseinheit);

      expect(repository.saveOrganisationseinheit).toHaveBeenCalledWith(organisationseinheit);
    });
  });

  describe('createInKeycloak', () => {
    it('should call createOrganisationseinheit from userRepository', () => {
      service.createInKeycloak(organisationseinheit);

      expect(repository.createOrganisationseinheit).toHaveBeenCalledWith(organisationseinheit);
    });
  });

  describe('deleteInKeycloak', () => {
    it('should call deleteOrganisationseinheit from userRepository', () => {
      service.deleteInKeycloak(organisationseinheit.id);

      expect(repository.deleteOrganisationseinheit).toHaveBeenCalledWith(organisationseinheit.id);
    });
  });
});
