import {
  BinaryFileListLinkRel,
  BinaryFileListResource,
  BinaryFileService,
} from '@alfa-client/binary-file-shared';
import { LinkRelationName, StateResource } from '@alfa-client/tech-shared';
import { Component, Input, OnInit } from '@angular/core';
import { Resource } from '@ngxp/rest';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-binary-file-list-container',
  templateUrl: './binary-file-list-container.component.html',
})
export class BinaryFileListContainerComponent implements OnInit {
  @Input() resource: Resource;
  @Input() linkRel: LinkRelationName;

  public binaryFileListStateResource$: Observable<StateResource<BinaryFileListResource>>;

  public readonly binaryFileListLinkRel = BinaryFileListLinkRel;

  constructor(private service: BinaryFileService) {}

  ngOnInit(): void {
    this.binaryFileListStateResource$ = this.service.getFiles(this.resource, this.linkRel);
  }
}
