import { times } from 'lodash-es';
import { toResource } from '../../tech-shared/test/resource';
import {
  Anschrift,
  OrganisationsEinheit,
  OrganisationsEinheitListLinkRel,
  OrganisationsEinheitListResource,
  OrganisationsEinheitResource,
} from '../src';

import { faker } from '@faker-js/faker';

export function createAnschrift(): Anschrift {
  return {
    hausnummer: faker.random.word(),
    ort: faker.random.word(),
    plz: faker.random.word(),
    strasse: faker.random.words(2),
  };
}

export function createOrganisationsEinheit(): OrganisationsEinheit {
  return {
    name: faker.random.word(),
    anschrift: createAnschrift(),
  };
}

export function createOrganisationsEinheitResource(
  linkRel: string[] = [],
): OrganisationsEinheitResource {
  return toResource(createOrganisationsEinheit(), linkRel);
}

export function createOrganisationsEinheitResources(
  linkRelations: string[] = [],
): OrganisationsEinheitResource[] {
  return times(10, () => toResource(createOrganisationsEinheitResource(), [...linkRelations]));
}

export function createOrganisationsEinheitListResource(
  resources?: OrganisationsEinheitResource[],
  linkRelations: string[] = [],
): OrganisationsEinheitListResource {
  return toResource({}, [...linkRelations], {
    [OrganisationsEinheitListLinkRel.ORGANISATIONS_EINHEIT_HEADER_LIST]:
      resources ? resources : createOrganisationsEinheitResources(),
  });
}
