import { ComponentFixture, TestBed } from '@angular/core/testing';
import { ReactiveFormsModule } from '@angular/forms';
import { AttachmentComponent } from './attachment.component';

describe('AttachmentComponent', () => {
  let component: AttachmentComponent;
  let fixture: ComponentFixture<AttachmentComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ReactiveFormsModule],
    }).compileComponents();

    fixture = TestBed.createComponent(AttachmentComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('set error messages', () => {
    it('should mark as has error', () => {
      component.errorMessages = ['Fehler'];

      fixture.detectChanges();

      expect(component.hasError).toBeTruthy();
    });

    it.each([null, undefined])(
      'should mark as has not error when error messages %s',
      (errorMessages: string[]) => {
        component.errorMessages = errorMessages;

        fixture.detectChanges();

        expect(component.hasError).toBeFalsy();
      },
    );

    it('should mark as has not error', () => {
      component.errorMessages = [];

      fixture.detectChanges();

      expect(component.hasError).toBeFalsy();
    });

    it('should set errors', () => {
      component.errorMessages = ['Fehler'];

      fixture.detectChanges();

      expect(component.errors).toEqual(['Fehler']);
    });
  });
});
