import { argsToTemplate, moduleMetadata, type Meta, type StoryObj } from '@storybook/angular';

import { BescheidGenerateIconComponent } from '../icons/bescheid-generate-icon/bescheid-generate-icon.component';
import { ButtonCardComponent } from './button-card.component';

const meta: Meta<ButtonCardComponent> = {
  title: 'Button card',
  component: ButtonCardComponent,
  parameters: {
    docs: {
      description: {
        component: 'A button with two lines of text',
      },
    },
  },
  decorators: [
    moduleMetadata({
      imports: [ButtonCardComponent, BescheidGenerateIconComponent],
    }),
  ],
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<ButtonCardComponent>;

export const Default: Story = {
  args: {
    text: 'Bescheiddokument',
    subText: 'automatisch erstellen',
    isLoading: false,
  },
  argTypes: {
    text: { description: 'First line of text' },
    subText: { description: 'Second line of text' },
  },
  render: (args: ButtonCardComponent) => ({
    props: args,
    template: `<ods-button-card ${argsToTemplate(args)} class="w-72">
        <ods-bescheid-generate-icon icon fileType="auto"></ods-bescheid-generate-icon>
      </ods-button-card>`,
  }),
};
