import type { Meta, StoryObj } from '@storybook/angular';

import { SpinnerIconComponent } from './spinner-icon.component';

const meta: Meta<SpinnerIconComponent> = {
  title: 'Icons/Spinner icon',
  component: SpinnerIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<SpinnerIconComponent>;

export const Default: Story = {
  args: { size: 'large' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'medium', 'large', 'extra-large', 'full'],
      description: 'Size of icon. Property "full" means 100%',
      table: {
        defaultValue: { summary: 'full' },
      },
    },
  },
};
