/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommandListResource } from '@alfa-client/command-shared';
import { createStateResource, StateResource } from '@alfa-client/tech-shared';
import { createCommandListResource } from 'libs/command-shared/test/command';
import { HistoriePartialState, initialState } from './historie.reducer';

import * as HistorieSelectors from './historie.selectors';

describe('Historie Selectors', () => {
  let state: HistoriePartialState;

  const historieList: StateResource<CommandListResource> = createStateResource(
    createCommandListResource(),
  );

  beforeEach(() => {
    state = {
      HistorieState: {
        ...initialState,
        historieList,
      },
    };
  });

  describe('historieSelector', () => {
    it('should return historieList', () => {
      const result = HistorieSelectors.historieSelector.projector(state.HistorieState);

      expect(result).toBe(historieList);
    });

    it('should return historieList with projector', () => {
      expect(HistorieSelectors.historieSelector.projector(state.HistorieState)).toEqual(
        historieList,
      );
    });
  });
});
