/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, EventEmitter, Input, Output } from '@angular/core';
import { CommandResource } from '@alfa-client/command-shared';
import { PostfachMailResource, getMessageCodeMessage } from '@alfa-client/postfach-shared';
import { StateResource } from '@alfa-client/tech-shared';

@Component({
  selector: 'alfa-outgoing-mail-error',
  templateUrl: './outgoing-mail-error.component.html',
  styleUrls: ['./outgoing-mail-error.component.scss'],
})
export class OutgoingMailErrorComponent {
  @Input() resendPostfachMailStateResource: StateResource<CommandResource>;
  @Input() postfachMailResource: PostfachMailResource;

  @Output() public resend: EventEmitter<void> = new EventEmitter();

  get message(): string {
    return getMessageCodeMessage(this.postfachMailResource);
  }
}
