/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ToTrafficLightTooltipPipe } from './to-traffic-light-tooltip.pipe';

describe('ToTrafficLightTooltipPipe', () => {
  const pipe = new ToTrafficLightTooltipPipe();

  it('create an instance', () => {
    expect(pipe).toBeTruthy();
  });

  describe('pass date in pipe', () => {
    it('future should return "zukunft"', () => {
      const future = new Date();
      future.setDate(future.getDate() + 2);

      const pipeResult: string = pipe.transform(future);

      expect(pipeResult).toBe('Die Frist liegt in der Zukunft');
    });

    it('past should return "abgelaufen"', () => {
      const past = new Date();
      past.setDate(past.getDate() - 2);

      const pipeResult: string = pipe.transform(past);

      expect(pipeResult).toBe('Die Frist ist abgelaufen');
    });

    it('today should return "endet Heute"', () => {
      const today: Date = new Date();

      const pipeResult: string = pipe.transform(today);

      expect(pipeResult).toBe('Die Frist endet Heute');
    });
  });
});
