import { Component, EventEmitter, Input, Output } from '@angular/core';
import { BescheidenFormService } from '../../bescheiden.formservice';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-step-buttons',
  templateUrl: './vorgang-detail-bescheiden-step-buttons.component.html',
})
export class VorgangDetailBescheidenStepButtonsComponent {
  @Input() activeStep: number = 1;
  @Output() activeStepChange = new EventEmitter<number>();

  constructor(private formService: BescheidenFormService) {}

  public changeActiveStep(step: number): void {
    this.formService.setActiveStep(step);
    this.activeStepChange.emit(step);
  }
}
