import { ComponentFixture, TestBed } from '@angular/core/testing';
import { Mock, mock } from '@alfa-client/test-utils';
import { VorgangListService } from '@alfa-client/vorgang-shared';
import { MockComponent } from 'ng-mocks';
import { VorgangViewsMenuComponent } from '../vorgang-views-menu/vorgang-views-menu.component';
import { VorgangViewsMenuContainerComponent } from './vorgang-views-menu-container.component';

describe('VorgangViewsMenuContainerComponent', () => {
  let component: VorgangViewsMenuContainerComponent;
  let fixture: ComponentFixture<VorgangViewsMenuContainerComponent>;

  const vorgangListService: Mock<VorgangListService> = mock(VorgangListService);

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [VorgangViewsMenuContainerComponent, MockComponent(VorgangViewsMenuComponent)],
      providers: [
        {
          provide: VorgangListService,
          useValue: vorgangListService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(VorgangViewsMenuContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('ngOnInit', () => {
    it('should call vorganglistService to get vorgangStatistic', () => {
      component.ngOnInit();

      expect(vorgangListService.getVorgangStatistic).toHaveBeenCalled();
    });
  });
});
