import { Component, Input, OnInit } from '@angular/core';
import { VorgangListService, VorgangView } from '@alfa-client/vorgang-shared';
import { Observable } from 'rxjs';

@Component({
  selector: 'alfa-vorgang-view-item-container',
  templateUrl: './vorgang-view-item-container.component.html',
  styleUrls: ['./vorgang-view-item-container.component.scss'],
})
export class VorgangViewItemContainerComponent implements OnInit {
  @Input() label: string;
  @Input() view: VorgangView;
  @Input() count: number;

  isSelected$: Observable<boolean>;
  routePath$: Observable<string>;

  constructor(private vorgangListService: VorgangListService) {}

  ngOnInit(): void {
    this.isSelected$ = this.vorgangListService.isVorgangViewSelected(this.view);
    this.routePath$ = this.vorgangListService.getVorgangViewRoutePath(this.view);
  }
}
