package de.ozgcloud.alfa.loeschanforderung;

import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.common.command.CommandOrder;
import de.ozgcloud.alfa.common.user.CurrentUserService;
import de.ozgcloud.alfa.common.user.UserRole;
import lombok.RequiredArgsConstructor;

@Component
@RequiredArgsConstructor
class LoeschAnforderungPreAuthorizeHandler {

	private final LoeschAnforderungService loeschAnforderungService;
	private final CurrentUserService currentUserService;

	public boolean hasPermissionForOrder(String loeschAnforderungId, CommandOrder order) {
		return switch (order) {
			case VORGANG_LOESCHEN -> loeschAnforderungService.isAllowedToVorgangLoeschen(loeschAnforderungService.getById(loeschAnforderungId));
			case LOESCH_ANFORDERUNG_ZURUECKNEHMEN -> hasRoleForZuruecknehmen();
			default -> false;
		};
	}

	private boolean hasRoleForZuruecknehmen() {
		return currentUserService.hasRole(UserRole.VERWALTUNG_USER) || currentUserService.hasRole(UserRole.EINHEITLICHER_ANSPRECHPARTNER);
	}

}
