package de.ozgcloud.alfa.statistic;

import org.mapstruct.CollectionMappingStrategy;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.vorgang.statistic.GrpcVorgangStatisticResult;

@Mapper(unmappedTargetPolicy = ReportingPolicy.WARN,
		collectionMappingStrategy = CollectionMappingStrategy.ADDER_PREFERRED,
		nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
interface StatisticMapper {

	@Mapping(target = "stringValue", source = "resultStringValue")
	@Mapping(target = "boolValue", source = "resultBoolValue")
	@Mapping(target = "intValue", source = "resultIntValue")
	StatisticResult toResult(GrpcVorgangStatisticResult grpcVorgangStatisticResult);
}