package de.ozgcloud.alfa.vorgang;

import static org.springframework.hateoas.server.mvc.WebMvcLinkBuilder.*;

import java.util.Optional;
import java.util.regex.Pattern;

import org.springframework.hateoas.Link;
import org.springframework.stereotype.Component;

import de.ozgcloud.alfa.resource.OzgcloudResourceURIResolver;

@Component
class VorgangURIResolver implements OzgcloudResourceURIResolver {

	static final String REL_NAME = "vorgang";

	private final Pattern pattern = Pattern.compile(".+/vorgangs/([^/]+)");

	@Override
	public Optional<Link> resolve(String uri) {
		var matcher = pattern.matcher(uri);
		if (!matcher.matches()) {
			return Optional.empty();
		}
		var vorgangId = matcher.group(1);
		return Optional.of(linkTo(VorgangController.class).slash(vorgangId).withRel(REL_NAME));
	}
}
