package de.ozgcloud.alfa.attachment;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

import com.google.common.collect.Lists;

import de.ozgcloud.alfa.common.binaryfile.FileId;

class AttachmentMapperTest {

	@Test
	void shouldMapAttachmentsToEmptyList() {
		var attachments = AttachmentMapper.mapAttachments(null);

		assertThat(attachments).isEmpty();
	}

	@Test
	void shouldMapAttachmentsToList() {
		var attachments = AttachmentMapper.mapAttachments(Lists.newArrayList("a1", "a2"));

		assertThat(attachments).containsExactly(FileId.from("a1"), FileId.from("a2"));
	}

	@Test
	void shouldMapOneElementToList() {
		var attachments = AttachmentMapper.mapAttachments("a1");

		assertThat(attachments).containsExactly(FileId.from("a1"));
	}
}
