package de.ozgcloud.alfa.bescheid;

import static org.assertj.core.api.Assertions.*;
import static org.mockito.Mockito.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.Spy;

class DocumentServiceTest {

	@Mock
	private DocumentRemoteService remoteService;
	@Spy
	@InjectMocks
	private DocumentService service;

	@Nested
	class TestGetDocument {

		private final Document document = DocumentTestFactory.create();

		@BeforeEach
		void init() {
			when(remoteService.getDocument(DocumentTestFactory.ID)).thenReturn(document);
		}

		@Test
		void shouldCallRemoteService() {
			service.getDocument(DocumentTestFactory.ID);

			verify(remoteService).getDocument(DocumentTestFactory.ID);
		}

		@Test
		void shouldReturnResultFromRemoteService() {
			var result = service.getDocument(DocumentTestFactory.ID);

			assertThat(result).isEqualTo(document);
		}
	}
}
