package de.ozgcloud.alfa.collaboration;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.NoSuchBeanDefinitionException;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.ApplicationContext;

class CollaborationVorgangProcessorITCase {

	@SpringBootTest(properties = {"ozgcloud.feature.collaboration-enabled=true"})
	@Nested
	class OnFeatureEnabled {

		@Test
		void shouldExistInApplicationContext(ApplicationContext context) {
			assertThat(context.getBean(CollaborationVorgangProcessor.class)).isNotNull();
		}
	}

	@SpringBootTest
	@Nested
	class OnFeatureDisabled {

		@Test
		void shouldNotExistInApplicationContext(ApplicationContext context) {
			assertThatThrownBy(() -> context.getBean(CollaborationVorgangProcessor.class)).isInstanceOf(NoSuchBeanDefinitionException.class);
		}
	}
}
