/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.vorgang;

import java.util.Map;

public class AntragstellerTestFactory {

	public final static String ANREDE = GrpcAntragstellerTestFactory.ANREDE;
	public final static String NACHNAME = GrpcAntragstellerTestFactory.NACHNAME;
	public final static String VORNAME = GrpcAntragstellerTestFactory.VORNAME;
	public final static String GEBURTSDATUM_STR = GrpcAntragstellerTestFactory.GEBURTSDATUM_STR;
	public final static String GEBURTSORT = GrpcAntragstellerTestFactory.GEBURTSORT;
	public final static String GEBURTSNAME = GrpcAntragstellerTestFactory.GEBURTSNAME;
	public final static String EMAIL = GrpcAntragstellerTestFactory.EMAIL;
	public final static String TELEFON = GrpcAntragstellerTestFactory.TELEFON;
	public final static String STRASSE = GrpcAntragstellerTestFactory.STRASSE;
	public final static String HAUSNUMMER = GrpcAntragstellerTestFactory.HAUSNUMMER;
	public final static String PLZ = GrpcAntragstellerTestFactory.PLZ;
	public final static String ORT = GrpcAntragstellerTestFactory.ORT;

	public final static String POSTFACH_ID = GrpcAntragstellerTestFactory.POSTFACH_ID;

	public final static String OTHER_DATA_KEY = "Test";
	public final static String OTHER_DATA_VALUE = "Eintrag";

	public static final Map<String, Object> OTHER_DATA = Map.of(OTHER_DATA_KEY, OTHER_DATA_VALUE);

	public static Antragsteller create() {
		return createBuilder().build();
	}

	public static Antragsteller.AntragstellerBuilder createBuilder() {
		return Antragsteller.builder()
				.anrede(ANREDE)
				.vorname(VORNAME)
				.nachname(NACHNAME)
				.geburtsdatum(GEBURTSDATUM_STR)
				.geburtsname(GEBURTSNAME)
				.geburtsort(GEBURTSORT)
				.email(EMAIL)
				.telefon(TELEFON)
				.strasse(STRASSE)
				.hausnummer(HAUSNUMMER)
				.plz(PLZ)
				.ort(ORT)
				.postfachId(POSTFACH_ID)
				.otherData(OTHER_DATA);
	}
}